plotGeneral = function()
{
	############################################################################
	probs = read.csv("tt_stateProbs.txt",sep="\t",header=FALSE)
	n = dim(probs)[1]
	m = dim(probs)[2]-1
	probs= probs[1:n,1:m]
	
	par(mfrow=c(3,1))
	mn  = "Posteriori probability density"
	xlb = "Number of sampled state"
	ylb = "density"
	plot(probs[,1],main=mn, xlab=xlb, ylab=ylb)
	mn  = "Tree Log Likelihood"
	xlb = "Number of sampled state"
	ylb = "Log Likelihood"
	plot(probs[,2],main=mn, xlab=xlb, ylab=ylb)
	mn  = "Probability densities of time constraints"
	xlb = "Number of sampled state"
	ylb = "density"
	plot(probs[,3],main=mn, xlab=xlb, ylab=ylb)
	par(mfrow=c(1,1))

	############################################################################
	change = read.csv("tt_changes.txt",sep="\t",header=FALSE)
	n = dim(change)[1]
	m = dim(change)[2] # =3
	change = array(as.numeric(as.matrix(change)),c(22,n/22,3)) # [changeid, chain, [changeid,acc,reject]]
	change = change[,,2:3,drop=FALSE] # [changeid, chain, acc,reject]]
	labels = c(	
	"Topology",
	"NodeTimepoint",
	"RootTimepoint",
	"InitialRates",
	"MEM-Stat.Distribution",
	"MEM-Transitionrates",
	"MEM-InvariantSites",
	"MEM-GammaRates",
	"CPP-Birth",
	"CPP-Death",
	"CPP-RateLocation",
	"CPP-RateValue",
	"CPP-Intensity",
	"CPP-RateDistribution",
	"DM-Variance",
	"DM-ChangeAllRates",
	"DM-ChangeTwoRates",
	"UEX-ChangeAllRates",
	"UEX-ChangeSingleRate",
	"ULN-ChangeVariance",
	"ULN-ChangeAllRates",
	"ULN-ChangeSingleRate"
	)

	nrChains  = n/22
	nrChanges = 22
	mn=paste("Acceptance probabilities of changes in", n/22 ,"chain(s)")
	xlm=c(0.5,22.5)
	ylm=c(0,1)
	xlb="Change Id" 
	xlb=""
	ylb="Acceptance probability"
	par_old = par(mai=c(2.02, 0.82, 0.82, 0.42))
	plot(NA, xlim=xlm,ylim=ylm,main=mn,xlab=xlb,ylab=ylb,xaxt="n",bty="n")
	cols = gray((n/22):1/(n/15))
	for(i in 1:nrChanges)
	{
		for(j in 1:nrChains)
		{
			rect((i-1)+(j-.4)*22/n, 0,
			     (i-1)+(j+.4)*22/n, change[i,j,1]/(change[i,j,1]+change[i,j,2]),
			      col=cols[j], border = NA)
		}
	}
	par(par_old)
	axis(1, at=(1:22)-0.5, labels=labels, cex.axis=.8, tick=T, las=2, pos=-0.01)
	text(0.5,1,"Darker bars correspond to more heated chains.",adj=0)

	############################################################################
	swap = read.csv("tt_swaps.txt",sep="\t",header=FALSE)
	n = dim(swap)[1]
	m = dim(swap)[2] -1
	swap= swap[1:n,1:m]
	swap = array(as.numeric(as.matrix(swap)),c(n,n))
	
	mn=paste("Acceptance probabilities of swapping states in", n ,"chain(s)")
	xlm=c(0.5,n+0.5)
	ylm=c(0.5,n+0.5)
	xlb= "to chain nr." 
	ylb= "from chain nr."
	plot(NA, xlim=xlm,ylim=ylm,main=mn,xlab=xlb,ylab=ylb,xaxt="n",yaxt="n",bty="n")
	axis(1, at=(1:n), labels=(1:n)-1, tick=T, las=2)
	axis(2, at=(1:n), labels=(1:n)-1, tick=T, las=2)
	for(i in 1:n)
	{
		for(j in 1:n)
		{
			text(i,j,paste(format(swap[i,j]*100,nsmall=2,digits=2),"%"))
		}
	}

}

